Bug 370831 - anaconda installed gcc - but not glibc-headers
anaconda installed gcc - but not glibc-headers
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 00:41 EST by Satish Balay
Modified: 2008-08-26 15:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 15:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-ks.cfg (1.05 KB, application/octet-stream)
2007-11-08 00:41 EST, Satish Balay
no flags Details
install.log (35.74 KB, text/plain)
2007-11-08 00:43 EST, Satish Balay
no flags Details
anaconda.log (28.74 KB, text/plain)
2007-11-09 12:53 EST, Satish Balay
no flags Details

  None (edit)
Description Satish Balay 2007-11-08 00:41:46 EST
Description of problem:

gcc rpm spec file should have 'requires: glibc-headers'

Version-Release number of selected component (if applicable):

gcc-4.1.2-33
glibc-headers-2.7-2

How reproducible:

I did a 'custom' package selection during Fedora8 install. I ended
with a broken gcc [ with "missing stdio.h" errors]

I had to do a subsequent 'yum install glibc-headers to fix this problem.
Comment 1 Satish Balay 2007-11-08 00:41:46 EST
Created attachment 251231 [details]
anaconda-ks.cfg
Comment 2 Satish Balay 2007-11-08 00:43:14 EST
Created attachment 251241 [details]
install.log
Comment 3 Satish Balay 2007-11-08 00:47:11 EST
>>>> gcc rpm spec file should have 'requires: glibc-headers'

Ops - please ignore this initial problem statement.

I started off assuming that this is a problem with gcc specfile - but later
realized that its anaconda issue - so modified the bugreport [but didnt' modify
this text properly]

Comment 4 Jeremy Katz 2007-11-09 09:29:06 EST
Can you attach /var/log/anaconda* as well?  
Comment 5 Satish Balay 2007-11-09 12:53:18 EST
Created attachment 253111 [details]
anaconda.log
Comment 6 Chris Lumens 2008-08-26 13:18:36 EDT
Hm, I haven't heard any other reports of this problem, and your log files don't indicate anything obviously wrong (besides, of course, glibc-headers missing from the install.log).  Is this repeatable with an install of F10 Alpha?  I don't really know what else to ask for that could help get to the bottom of this problem.  I don't think we turned up a similar problem to this in testing.
Comment 7 Satish Balay 2008-08-26 15:38:54 EDT
I don't remember all the custom choices I chose during the install of FC8 - so this experiment is not really reproducable.

I was hoping the logfiles had sufficient info to track this. Since then - I have
FC9 installed on a newer machine [perhaps without much custom tweaking] - and this install didn't have this problem.

If its not traceable - then closing this issue is fine by me.

thanks,
Satish

Note You need to log in before you can comment on or make changes to this bug.